> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finosu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer

> Deletes a customer



## OpenAPI

````yaml DELETE /customers/{id}
openapi: 3.1.0
info:
  title: Finosu API
  description: Finosu API
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /customers/{id}:
    delete:
      description: Deletes a customer
      parameters:
        - name: id
          in: path
          description: ID of customer to delete
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Customer response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Customer:
      required:
        - id
        - firstName
        - lastName
      type: object
      properties:
        id:
          description: >-
            Unique identifier for the customer. This is your customer reference
            and should match your internal system's ID.
          type: string
        firstName:
          description: The first name of the customer
          type: string
        lastName:
          description: The last name of the customer
          type: string
        email:
          description: Customer email address
          type: string
          format: email
        birthday:
          description: Customer birthday in YYYY-MM-DD format
          type: string
          format: date
        ssnLastFour:
          description: Last 4 digits of SSN
          type: string
        timezone:
          description: >-
            Timezone of the customer (IANA timezone name, e.g.,
            'America/New_York', 'America/Los_Angeles')
          type: string
        phoneNumber:
          description: Phone number of the customer
          type: string
        streetAddress1:
          description: Street address line 1
          type: string
        streetAddress2:
          description: Street address line 2 (optional)
          type: string
        city:
          description: City name
          type: string
        state:
          description: State code (e.g., NY, CA)
          type: string
        zipCode:
          description: ZIP/postal code
          type: string
        doNotCall:
          description: Do not call the customer
          type: boolean
        isTest:
          description: Indicates if this is a test customer
          type: boolean
        taskType:
          description: Type of tasks created for the customer's automated call schedule
          type: string
        externalMetadata:
          description: Additional custom metadata about the customer
          type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````